AUDIT_NAME_TO_FSTYPE(3)

NAME
audit_name_to_fstype - Convert the fstype name to the numeric fstype value

SYNOPSIS
#include <libaudit.h>

int audit_name_to_fstype(const char *name);

DESCRIPTION
audit_name_to_fstype() converts the fstype name ("debugfs" or "tracefs") to the numeric fstype value (0x64626720 or 0x74726163). name is the fstype name.

RETURN VALUE
Returns -1 if an name occurs; otherwise, the return value is the numeric fstype value.

SEE ALSO
audit_fstype_to_name(3),

AUTHOR
Steve Grubb